Support

Home Forums Ticketing Add-on Ticket PDF Download shows fatal error

Ticket PDF Download shows fatal error

Posted: January 16, 2013 at 12:14 pm


Chris

January 16, 2013 at 12:14 pm

Hi guys,

when people click the “Download PDF” Button on the right top on a customized ticket it leads to that:

Fatal error: Uncaught exception ‘Exception’ with message ‘This function is not compatible with non-static object methods due to PHP Bug #44144.’ in /home/youcan1/public_html/you-can-fight.com/wp-content/plugins/event-espresso/tpc/dompdf/dompdf_config.inc.php:385 Stack trace: #0 /home/youcan1/public_html/you-can-fight.com/wp-content/plugins/espresso-ticketing/functions.php(239): require_once() #1 /home/youcan1/public_html/you-can-fight.com/wp-content/plugins/event-espresso/espresso.php(886): espresso_ticket_launch() #2 /home/youcan1/public_html/you-can-fight.com/wp-includes/plugin.php(406): espresso_export_ticket(‘604′, ’28-50e9e10c1543…’) #3 /home/youcan1/public_html/you-can-fight.com/wp-settings.php(209): do_action(”) #4 /home/youcan1/public_html/you-can-fight.com/wp-config.php(88): require_once(‘/home/youcan1/p…’) #5 /home/youcan1/public_html/you-can-fight.com/wp-load.php(29): require_once(‘/home/youcan1/p…’) #6 /home/youcan1/public_html/you-can-fight.com/wp-blog-header.php(12): require_once(‘/home/youcan1/p…’) in /home/youcan1/public_html/you-can-fight.com/wp-content/plugins/event-espresso/tpc/dompdf/dompdf_config.inc.php on line 385

What to do?


Dean

January 17, 2013 at 2:55 am

Hi Chris,

Can I confirm that your Event Espresso add ons are up to date? I can see that the main plugin is, but not the rest.


Josh

  • Support Staff

January 17, 2013 at 8:21 am

Hi Chris,

Another thing that would be good to check is the version number of PHP that your server is running. You can get this information by going to the Event Espresso>Help/Support screen in the admin area of your site.


Chris

January 29, 2013 at 3:19 pm

Thanks.

The two add ons that were not up to date were Groupon and Permissions. Both are not in use and deactivated on our website. I updated them anyway. Error still occurs.

PHP Version is 5.2.17


Josh

  • Support Staff

January 30, 2013 at 4:59 pm

Hi Chris,

I have the same version of PHP on my server, and I’m not seeing this happen on my setup when I download the PDF ticket.

You could try download one of the newer versions of dompdf from here:

https://github.com/dompdf/dompdf/downloads

and uploading the unzipped folder to the wp-content/plugins/event-espresso/tpc location. Please be sure to rename the existing dompdf folder first.


Chris

February 1, 2013 at 8:26 am

Thank you.

I did. But it changed nothing.


Chris

February 1, 2013 at 8:29 am

Wait!

Sorry, I was too fast.

Now it works like charm with that new version of dompdf.

Thanks for resolving this.

The support post ‘Ticket PDF Download shows fatal error’ is closed to new replies.

Have a question about this support post? Create a new support post in our support forums and include a link to this existing support post so we can help you.

Support forum for the Ticketing add-on.
Documentation for Ticketing Add-on
http://eventespresso.com/wiki/ticketing-add-on/

Status: closed

Updated by  Chris 6 years, 10 months ago ago

Topic Tags

Notifications

This topic is: resolved
Do NOT follow this link or you will be banned from the site!